groovy.transform.stc

## Class SimpleType

- java.lang.Object
- - groovy.transform.stc.ClosureSignatureHint
  - - groovy.transform.stc.SingleSignatureClosureHint
    - - groovy.transform.stc.SimpleType

    public class SimpleType
    extends SingleSignatureClosureHint

### Constructor Summary

Constructors
Constructor and Description
`SimpleType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClassNode[]` `getParameterTypes(MethodNode node, java.lang.String[] options, SourceUnit sourceUnit, CompilationUnit unit, ASTNode usage)`

### Methods inherited from class groovy.transform.stc.SingleSignatureClosureHint

`getClosureSignatures`

### Methods inherited from class groovy.transform.stc.ClosureSignatureHint

`findClassNode, pickGenericType, pickGenericType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleType

    public SimpleType()

### Method Detail

#### getParameterTypes

    public ClassNode[] getParameterTypes(MethodNode node,
                                         java.lang.String[] options,
                                         SourceUnit sourceUnit,
                                         CompilationUnit unit,
                                         ASTNode usage)

Specified by:
  `getParameterTypes` in class `SingleSignatureClosureHint`